.. _vim.host.DatastoreBrowser.Query: ../../../vim/host/DatastoreBrowser/Query.rst

.. _vim.host.DatastoreBrowser.VmDiskQuery.Filter: ../../../vim/host/DatastoreBrowser/VmDiskQuery/Filter.rst

.. _vim.host.DatastoreBrowser.VmDiskQuery.Details: ../../../vim/host/DatastoreBrowser/VmDiskQuery/Details.rst


vim.host.DatastoreBrowser.VmDiskQuery
=====================================
  This data object type describes the query specification for the virtual disk primary file.
:extends: vim.host.DatastoreBrowser.Query_

Attributes:
    filter (`vim.host.DatastoreBrowser.VmDiskQuery.Filter`_, optional):

       The filter specification for the virtual disk primary file query.
    details (`vim.host.DatastoreBrowser.VmDiskQuery.Details`_, optional):

       Details specification for the virtual disk primary file query.
